Skip to main content
PUT
/
schedule
/
v1
/
check-incidences
Bulk Update Check Incidences
curl --request PUT \
  --url https://api-{region}.sesametime.com/schedule/v1/check-incidences \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "checkIncidenceStatus": "pending",
  "checkIncidenceIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "resolvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "selectAllEmployees": false
}
'
This response has no body data.

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Bulk update check incidences

checkIncidenceStatus
enum<string>
required
Available options:
pending,
revised
checkIncidenceIds
string<uuid>[]
resolvedBy
string<uuid>
selectAllEmployees
boolean
default:false

Response

204 - undefined